Subject: bug#64392: cksum: escaping issues of --check output

From: Christoph Anton Mitterer <[email-masked]>
Date: Sat, 01 Jul 2023 19:27:11 +0200

Oh and I've seen you really escape \ only if it's the first character.

Same here, I'd suggest to apply the same escaping rules as for the
other output, and escape '\\' '\n' and '\r' as soon as any of them
occurs in the output.